OpenVPN Error: All TAP-Windows adapters on this system are currently in use

Ошибка при попытке подключения к OpenVPN серверу.

Ошибка “All TAP-Windows adapters on this system are currently in use” означает что в системе проблемы с виртуальным Tun/Tap сетевым адаптером, который использует OpenVPN в Windows.

В моем случае он просто не появлялся в системе Windows7.

Для исправления проблемы нужно переустановить драйвер виртуального адаптера.

Полностью удаляем драйвер. Открываем папку C:\Program Files\TAP-Windows 
Нажимаем правой кнопкой на файл Uninstall.exe и выбираем Запустить от имени администратора.

Качаем Tap драйвер с OpenVPN репозитория и устанавливаем его с правами админа (правый клик на файле > Запустить от имени администратора )

После всего обязательно заходим в Панель управления\Сеть и Интернет\Сетевые подключения и проверяем там наличие TAP-Windows Adapter.

OpenVPN Error: All TAP-Windows adapters on this system are currently in use: 21 комментарий

  1. роман

    спасибо. только это и помогло. вместе с удалением поделки касперского.

  2. Санчос

    Списибо тебе, о Человек! Я пол часа ипался с сервером, думал что косяк в конфигах. Оказалось, что у меня не корректно установился клиент, без TAP-а. Почему люди не пишут, в своих статьях, что после установки клиента должен появиться туннельный адаптер?!?!?

  3. Александр

    Благодарствую тебе, о великий гуру!
    Пол дня колупания в интернете и поиска дров для этого адаптера, а в условиях удаленки это прям оч важнецки!
    Ещё раз спасибо!

  4. Александр

    Спасибо за ссылку на драйвер. У меня win7 и при установке vpnmonster ставятся драйвера без цифровой подписи под семёрку, в результате программа не работала. Установка данных драйверов помогла.

  5. Алена

    Блин, спасибо! У меня техподдержка на работе на эту проблему выдала, что винду надо переустановить, иначе не заработает.

  6. Максим

    Спасибо тебе добрый человек. Только этот рецепт и помог. Странно, что в дистрибутив OpenVPN включили неподписанный драйвер (пробовал версии 3.1.3.713 и 2.4.9-I601-Win7).

  7. Ярославна

    Спасибо большое! Меня тоже убедили, что переустановка Винды решит проблему, А нет:((

  8. Светлана

    Спасибо огромное, тебе, добрый человек! Две минуты и все работает, а то сисадмин компании кинул на произвол судьбы, сказав, что не помнит как решить данную проблему!

  9. Владислав

    Боже, присоединяюсь к людям в коммах, ты очень помог, брат, другие сайты не помогли

  10. Татьяна

    Спасибо! Все заработало!!! Два часа мучений и паники с переустановкой vpn в разных вариантах… Вы спасли!!!

  11. Руслан

    О СПАСИТЕЛЬ!!! КО МНЕ УЖЕ ТУТ ХАКЕРЫ ПРИХОДИЛИ И ВСЕ КАК ОДИН ТВЕРДИЛИ, ТОЛЬКО СИСТЕМУ ПЕРЕУСТАНАВЛИВАТЬ ПРОБОВАТЬ! Спасибо большое, парень, ты реально спас!!! Отдельный тебе респект и почтенная благодарность, за прямую ссылку на скачивания драйвера, который я искал с хакерами целый день и ни хрена не нашел даже платно! РЕСПЕКТ ИЗ РЕСПЕКТОВ!!!

  12. Виктор

    Добрый вечер. Пытаюсь подключиться к впн, пишет ошибку WARNING: normally if you use –mssfix and/or –fragment, you should also set –tun-mtu 1500 (currently it is 1400)
    Че делать подскажите плиззз

  13. Анастасия

    Здравствуйте! У меня OpenVPN GUI работал нормально почти год, но потом стал выдавать такую ошибку. Вы случайно не знаете в чем проблема? Пробовала переустанавливать. Не помогает. Красным цветом в журнале подсвечивает:
    Mon Mar 22 04:04:30 2021 VERIFY ERROR: depth=1, error=certificate has expired: C=RU, ST=SPb, L=St.Petersburs, O=Kodeks, OU=UWT, CN=vpn.kodeks.net, emailAddress=dmz@kodeks.ru
    Mon Mar 22 04:04:30 2021 OpenSSL: error:1416F086:SSL routines:tls_process_server_certificate:certificate verify failed
    Mon Mar 22 04:04:30 2021 TLS_ERROR: BIO read tls_read_plaintext error
    Mon Mar 22 04:04:30 2021 TLS Error: TLS object -> incoming plaintext read error
    Mon Mar 22 04:04:30 2021 TLS Error: TLS handshake failed
    Mon Mar 22 04:04:30 2021 Fatal TLS error (check_tls_errors_co), restarting

    1. Analog Автор записи

      Добрый день, у вас истек срок действия сертификата. Нужно обновить.
      На сервере
      # cd /usr/local/etc/openvpn/easy-rsa
      # ./easyrsa.real gen-crl

Добавить комментарий

Ваш адрес email не будет опубликован. Обязательные поля помечены *